Bug 1905849 - Default volumesnapshotclass should be created when creating default storageclass
Summary: Default volumesnapshotclass should be created when creating default storageclass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Mike Fedosin
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-09 08:31 UTC by Wei Duan
Modified: 2021-08-24 14:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Cinder CSI Driver Operator automatically provisions a default VolumeSnapshotClass for Cinder CSI Reason: Previously users have to create it manually, which is not really convenient. Result: Users don't have do create their own VolumeSnapshotClass, because it's done automatically by the operator.
Clone Of:
: 1919375 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:35:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openstack-cinder-csi-driver-operator pull 36 0 None closed Bug 1905849: create default VolumeSnapshotClass 2021-05-25 13:47:40 UTC
Github openshift openstack-cinder-csi-driver-operator pull 40 0 None Waiting on Red Hat Large OMAP in DR cluster 2022-06-10 19:44:21 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:35:27 UTC

Description Wei Duan 2020-12-09 08:31:30 UTC
Description of problem:
Currently, there is no volumesnapshotclass created after cinder csi driver installed. 
If cinder csi driver supports volume snapshot, it is better to create and manage a volumesnapshotclass by Cinder csi driver operator. 

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-12-04-013308

How reproducible:
Always

Steps to Reproduce:
1. Install OSP cluster and cinder csi driver is installed. 
2. Check the volumesnapshotclass 
$ oc get volumesnapshotclass

Actual results:
$ oc get volumesnapshotclass
No resources found

Expected results:
There should be volumesnapshotclass for usage.

Comment 8 Udi Shkalim 2021-06-08 15:40:17 UTC
(shiftstack) [stack@undercloud-0 ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-06-03-221810   True        False         3d21h   Cluster version is 4.8.0-0.nightly-2021-06-03-221810
(shiftstack) [stack@undercloud-0 ~]$ oc get volumesnapshotclass
NAME           DRIVER                     DELETIONPOLICY   AGE
standard-csi   cinder.csi.openstack.org   Delete           3d22h

Comment 11 errata-xmlrpc 2021-07-27 22:35:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.